
package ru.corteos.www;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.corteos.ru/" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ReservationModel">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:int" name="id_Reserve" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="id_ComplexReserve" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="xs:int" name="id_ReserveType" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="DateStart" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="DateEnd" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="CreationDate" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="CreationTime" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:double" name="Price" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="xs:double" name="OptimalPrice" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="Currency" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="OptimalPriceCurrency" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="ProviderLocator" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="Timelimit" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="TimelimitTime" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:ArrayOfCustomerCode" name="Codes" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:ArrayOfPassenger" name="Passengers" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:TransportOrder" name="Transport" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:HotelOrder" name="Hotel" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:int" name="id_ReserveState" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="ns:TravelPolicyViolationContainer" name="TravelPolicy" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:ArrayOfFileContainer" name="Files" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="Comment" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:StableClient" name="Creator" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ReservationModel implements Serializable
{
    private int idReserve;
    private String idComplexReserve;
    private int idReserveType;
    private String dateStart;
    private String dateEnd;
    private String creationDate;
    private String creationTime;
    private Double price;
    private Double optimalPrice;
    private String currency;
    private String optimalPriceCurrency;
    private String providerLocator;
    private String timelimit;
    private String timelimitTime;
    private ArrayOfCustomerCode codes;
    private ArrayOfPassenger passengers;
    private TransportOrder transport;
    private HotelOrder hotel;
    private int idReserveState;
    private TravelPolicyViolationContainer travelPolicy;
    private ArrayOfFileContainer files;
    private String comment;
    private StableClient creator;

    /** 
     * Get the 'id_Reserve' element value.
     * 
     * @return value
     */
    public int getIdReserve() {
        return idReserve;
    }

    /** 
     * Set the 'id_Reserve' element value.
     * 
     * @param idReserve
     */
    public void setIdReserve(int idReserve) {
        this.idReserve = idReserve;
    }

    /** 
     * Get the 'id_ComplexReserve' element value.
     * 
     * @return value
     */
    public String getIdComplexReserve() {
        return idComplexReserve;
    }

    /** 
     * Set the 'id_ComplexReserve' element value.
     * 
     * @param idComplexReserve
     */
    public void setIdComplexReserve(String idComplexReserve) {
        this.idComplexReserve = idComplexReserve;
    }

    /** 
     * Get the 'id_ReserveType' element value.
     * 
     * @return value
     */
    public int getIdReserveType() {
        return idReserveType;
    }

    /** 
     * Set the 'id_ReserveType' element value.
     * 
     * @param idReserveType
     */
    public void setIdReserveType(int idReserveType) {
        this.idReserveType = idReserveType;
    }

    /** 
     * Get the 'DateStart' element value.
     * 
     * @return value
     */
    public String getDateStart() {
        return dateStart;
    }

    /** 
     * Set the 'DateStart' element value.
     * 
     * @param dateStart
     */
    public void setDateStart(String dateStart) {
        this.dateStart = dateStart;
    }

    /** 
     * Get the 'DateEnd' element value.
     * 
     * @return value
     */
    public String getDateEnd() {
        return dateEnd;
    }

    /** 
     * Set the 'DateEnd' element value.
     * 
     * @param dateEnd
     */
    public void setDateEnd(String dateEnd) {
        this.dateEnd = dateEnd;
    }

    /** 
     * Get the 'CreationDate' element value.
     * 
     * @return value
     */
    public String getCreationDate() {
        return creationDate;
    }

    /** 
     * Set the 'CreationDate' element value.
     * 
     * @param creationDate
     */
    public void setCreationDate(String creationDate) {
        this.creationDate = creationDate;
    }

    /** 
     * Get the 'CreationTime' element value.
     * 
     * @return value
     */
    public String getCreationTime() {
        return creationTime;
    }

    /** 
     * Set the 'CreationTime' element value.
     * 
     * @param creationTime
     */
    public void setCreationTime(String creationTime) {
        this.creationTime = creationTime;
    }

    /** 
     * Get the 'Price' element value.
     * 
     * @return value
     */
    public Double getPrice() {
        return price;
    }

    /** 
     * Set the 'Price' element value.
     * 
     * @param price
     */
    public void setPrice(Double price) {
        this.price = price;
    }

    /** 
     * Get the 'OptimalPrice' element value.
     * 
     * @return value
     */
    public Double getOptimalPrice() {
        return optimalPrice;
    }

    /** 
     * Set the 'OptimalPrice' element value.
     * 
     * @param optimalPrice
     */
    public void setOptimalPrice(Double optimalPrice) {
        this.optimalPrice = optimalPrice;
    }

    /** 
     * Get the 'Currency' element value.
     * 
     * @return value
     */
    public String getCurrency() {
        return currency;
    }

    /** 
     * Set the 'Currency' element value.
     * 
     * @param currency
     */
    public void setCurrency(String currency) {
        this.currency = currency;
    }

    /** 
     * Get the 'OptimalPriceCurrency' element value.
     * 
     * @return value
     */
    public String getOptimalPriceCurrency() {
        return optimalPriceCurrency;
    }

    /** 
     * Set the 'OptimalPriceCurrency' element value.
     * 
     * @param optimalPriceCurrency
     */
    public void setOptimalPriceCurrency(String optimalPriceCurrency) {
        this.optimalPriceCurrency = optimalPriceCurrency;
    }

    /** 
     * Get the 'ProviderLocator' element value.
     * 
     * @return value
     */
    public String getProviderLocator() {
        return providerLocator;
    }

    /** 
     * Set the 'ProviderLocator' element value.
     * 
     * @param providerLocator
     */
    public void setProviderLocator(String providerLocator) {
        this.providerLocator = providerLocator;
    }

    /** 
     * Get the 'Timelimit' element value.
     * 
     * @return value
     */
    public String getTimelimit() {
        return timelimit;
    }

    /** 
     * Set the 'Timelimit' element value.
     * 
     * @param timelimit
     */
    public void setTimelimit(String timelimit) {
        this.timelimit = timelimit;
    }

    /** 
     * Get the 'TimelimitTime' element value.
     * 
     * @return value
     */
    public String getTimelimitTime() {
        return timelimitTime;
    }

    /** 
     * Set the 'TimelimitTime' element value.
     * 
     * @param timelimitTime
     */
    public void setTimelimitTime(String timelimitTime) {
        this.timelimitTime = timelimitTime;
    }

    /** 
     * Get the 'Codes' element value.
     * 
     * @return value
     */
    public ArrayOfCustomerCode getCodes() {
        return codes;
    }

    /** 
     * Set the 'Codes' element value.
     * 
     * @param codes
     */
    public void setCodes(ArrayOfCustomerCode codes) {
        this.codes = codes;
    }

    /** 
     * Get the 'Passengers' element value.
     * 
     * @return value
     */
    public ArrayOfPassenger getPassengers() {
        return passengers;
    }

    /** 
     * Set the 'Passengers' element value.
     * 
     * @param passengers
     */
    public void setPassengers(ArrayOfPassenger passengers) {
        this.passengers = passengers;
    }

    /** 
     * Get the 'Transport' element value.
     * 
     * @return value
     */
    public TransportOrder getTransport() {
        return transport;
    }

    /** 
     * Set the 'Transport' element value.
     * 
     * @param transport
     */
    public void setTransport(TransportOrder transport) {
        this.transport = transport;
    }

    /** 
     * Get the 'Hotel' element value.
     * 
     * @return value
     */
    public HotelOrder getHotel() {
        return hotel;
    }

    /** 
     * Set the 'Hotel' element value.
     * 
     * @param hotel
     */
    public void setHotel(HotelOrder hotel) {
        this.hotel = hotel;
    }

    /** 
     * Get the 'id_ReserveState' element value.
     * 
     * @return value
     */
    public int getIdReserveState() {
        return idReserveState;
    }

    /** 
     * Set the 'id_ReserveState' element value.
     * 
     * @param idReserveState
     */
    public void setIdReserveState(int idReserveState) {
        this.idReserveState = idReserveState;
    }

    /** 
     * Get the 'TravelPolicy' element value.
     * 
     * @return value
     */
    public TravelPolicyViolationContainer getTravelPolicy() {
        return travelPolicy;
    }

    /** 
     * Set the 'TravelPolicy' element value.
     * 
     * @param travelPolicy
     */
    public void setTravelPolicy(TravelPolicyViolationContainer travelPolicy) {
        this.travelPolicy = travelPolicy;
    }

    /** 
     * Get the 'Files' element value.
     * 
     * @return value
     */
    public ArrayOfFileContainer getFiles() {
        return files;
    }

    /** 
     * Set the 'Files' element value.
     * 
     * @param files
     */
    public void setFiles(ArrayOfFileContainer files) {
        this.files = files;
    }

    /** 
     * Get the 'Comment' element value.
     * 
     * @return value
     */
    public String getComment() {
        return comment;
    }

    /** 
     * Set the 'Comment' element value.
     * 
     * @param comment
     */
    public void setComment(String comment) {
        this.comment = comment;
    }

    /** 
     * Get the 'Creator' element value.
     * 
     * @return value
     */
    public StableClient getCreator() {
        return creator;
    }

    /** 
     * Set the 'Creator' element value.
     * 
     * @param creator
     */
    public void setCreator(StableClient creator) {
        this.creator = creator;
    }
}
