
package ru.corteos.www;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.corteos.ru/" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TransportSegment">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="VendorCode" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="Number" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="OriginCode" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="OriginCountryCode" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="OriginCountryName" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="DestinationCode" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="DestinationCountryCode" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="DestinationCountryName" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="OriginName" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="DestinationName" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="DepartureDate" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="ArrivalDate" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="RBD" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="FareBasis" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="DepartureTime" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="ArrivalTime" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="TransportCategoryName" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:double" name="SegmentServiceFee" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:double" name="SegmentPrice" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:double" name="SegmentFullPrice" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TransportSegment implements Serializable
{
    private String vendorCode;
    private String number;
    private String originCode;
    private String originCountryCode;
    private String originCountryName;
    private String destinationCode;
    private String destinationCountryCode;
    private String destinationCountryName;
    private String originName;
    private String destinationName;
    private String departureDate;
    private String arrivalDate;
    private String RBD;
    private String fareBasis;
    private String departureTime;
    private String arrivalTime;
    private String transportCategoryName;
    private Double segmentServiceFee;
    private Double segmentPrice;
    private Double segmentFullPrice;

    /** 
     * Get the 'VendorCode' element value.
     * 
     * @return value
     */
    public String getVendorCode() {
        return vendorCode;
    }

    /** 
     * Set the 'VendorCode' element value.
     * 
     * @param vendorCode
     */
    public void setVendorCode(String vendorCode) {
        this.vendorCode = vendorCode;
    }

    /** 
     * Get the 'Number' element value.
     * 
     * @return value
     */
    public String getNumber() {
        return number;
    }

    /** 
     * Set the 'Number' element value.
     * 
     * @param number
     */
    public void setNumber(String number) {
        this.number = number;
    }

    /** 
     * Get the 'OriginCode' element value.
     * 
     * @return value
     */
    public String getOriginCode() {
        return originCode;
    }

    /** 
     * Set the 'OriginCode' element value.
     * 
     * @param originCode
     */
    public void setOriginCode(String originCode) {
        this.originCode = originCode;
    }

    /** 
     * Get the 'OriginCountryCode' element value.
     * 
     * @return value
     */
    public String getOriginCountryCode() {
        return originCountryCode;
    }

    /** 
     * Set the 'OriginCountryCode' element value.
     * 
     * @param originCountryCode
     */
    public void setOriginCountryCode(String originCountryCode) {
        this.originCountryCode = originCountryCode;
    }

    /** 
     * Get the 'OriginCountryName' element value.
     * 
     * @return value
     */
    public String getOriginCountryName() {
        return originCountryName;
    }

    /** 
     * Set the 'OriginCountryName' element value.
     * 
     * @param originCountryName
     */
    public void setOriginCountryName(String originCountryName) {
        this.originCountryName = originCountryName;
    }

    /** 
     * Get the 'DestinationCode' element value.
     * 
     * @return value
     */
    public String getDestinationCode() {
        return destinationCode;
    }

    /** 
     * Set the 'DestinationCode' element value.
     * 
     * @param destinationCode
     */
    public void setDestinationCode(String destinationCode) {
        this.destinationCode = destinationCode;
    }

    /** 
     * Get the 'DestinationCountryCode' element value.
     * 
     * @return value
     */
    public String getDestinationCountryCode() {
        return destinationCountryCode;
    }

    /** 
     * Set the 'DestinationCountryCode' element value.
     * 
     * @param destinationCountryCode
     */
    public void setDestinationCountryCode(String destinationCountryCode) {
        this.destinationCountryCode = destinationCountryCode;
    }

    /** 
     * Get the 'DestinationCountryName' element value.
     * 
     * @return value
     */
    public String getDestinationCountryName() {
        return destinationCountryName;
    }

    /** 
     * Set the 'DestinationCountryName' element value.
     * 
     * @param destinationCountryName
     */
    public void setDestinationCountryName(String destinationCountryName) {
        this.destinationCountryName = destinationCountryName;
    }

    /** 
     * Get the 'OriginName' element value.
     * 
     * @return value
     */
    public String getOriginName() {
        return originName;
    }

    /** 
     * Set the 'OriginName' element value.
     * 
     * @param originName
     */
    public void setOriginName(String originName) {
        this.originName = originName;
    }

    /** 
     * Get the 'DestinationName' element value.
     * 
     * @return value
     */
    public String getDestinationName() {
        return destinationName;
    }

    /** 
     * Set the 'DestinationName' element value.
     * 
     * @param destinationName
     */
    public void setDestinationName(String destinationName) {
        this.destinationName = destinationName;
    }

    /** 
     * Get the 'DepartureDate' element value.
     * 
     * @return value
     */
    public String getDepartureDate() {
        return departureDate;
    }

    /** 
     * Set the 'DepartureDate' element value.
     * 
     * @param departureDate
     */
    public void setDepartureDate(String departureDate) {
        this.departureDate = departureDate;
    }

    /** 
     * Get the 'ArrivalDate' element value.
     * 
     * @return value
     */
    public String getArrivalDate() {
        return arrivalDate;
    }

    /** 
     * Set the 'ArrivalDate' element value.
     * 
     * @param arrivalDate
     */
    public void setArrivalDate(String arrivalDate) {
        this.arrivalDate = arrivalDate;
    }

    /** 
     * Get the 'RBD' element value.
     * 
     * @return value
     */
    public String getRBD() {
        return RBD;
    }

    /** 
     * Set the 'RBD' element value.
     * 
     * @param RBD
     */
    public void setRBD(String RBD) {
        this.RBD = RBD;
    }

    /** 
     * Get the 'FareBasis' element value.
     * 
     * @return value
     */
    public String getFareBasis() {
        return fareBasis;
    }

    /** 
     * Set the 'FareBasis' element value.
     * 
     * @param fareBasis
     */
    public void setFareBasis(String fareBasis) {
        this.fareBasis = fareBasis;
    }

    /** 
     * Get the 'DepartureTime' element value.
     * 
     * @return value
     */
    public String getDepartureTime() {
        return departureTime;
    }

    /** 
     * Set the 'DepartureTime' element value.
     * 
     * @param departureTime
     */
    public void setDepartureTime(String departureTime) {
        this.departureTime = departureTime;
    }

    /** 
     * Get the 'ArrivalTime' element value.
     * 
     * @return value
     */
    public String getArrivalTime() {
        return arrivalTime;
    }

    /** 
     * Set the 'ArrivalTime' element value.
     * 
     * @param arrivalTime
     */
    public void setArrivalTime(String arrivalTime) {
        this.arrivalTime = arrivalTime;
    }

    /** 
     * Get the 'TransportCategoryName' element value.
     * 
     * @return value
     */
    public String getTransportCategoryName() {
        return transportCategoryName;
    }

    /** 
     * Set the 'TransportCategoryName' element value.
     * 
     * @param transportCategoryName
     */
    public void setTransportCategoryName(String transportCategoryName) {
        this.transportCategoryName = transportCategoryName;
    }

    /** 
     * Get the 'SegmentServiceFee' element value.
     * 
     * @return value
     */
    public Double getSegmentServiceFee() {
        return segmentServiceFee;
    }

    /** 
     * Set the 'SegmentServiceFee' element value.
     * 
     * @param segmentServiceFee
     */
    public void setSegmentServiceFee(Double segmentServiceFee) {
        this.segmentServiceFee = segmentServiceFee;
    }

    /** 
     * Get the 'SegmentPrice' element value.
     * 
     * @return value
     */
    public Double getSegmentPrice() {
        return segmentPrice;
    }

    /** 
     * Set the 'SegmentPrice' element value.
     * 
     * @param segmentPrice
     */
    public void setSegmentPrice(Double segmentPrice) {
        this.segmentPrice = segmentPrice;
    }

    /** 
     * Get the 'SegmentFullPrice' element value.
     * 
     * @return value
     */
    public Double getSegmentFullPrice() {
        return segmentFullPrice;
    }

    /** 
     * Set the 'SegmentFullPrice' element value.
     * 
     * @param segmentFullPrice
     */
    public void setSegmentFullPrice(Double segmentFullPrice) {
        this.segmentFullPrice = segmentFullPrice;
    }
}
